Subject: Re: Cygwinb19.dll
From: [email-masked] (Dylan Griffiths)

25 Jun 1998 01:20:58 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>,
        "Gnu Win32 Mailing list" <[email-masked]>

-----Original Message-----
From: [email-masked]
<[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday 24, June, 1998 14:52
Subject: Re: Cygwinb19.dll

>'Proper' (no insult intended to the genii behind gnu-win32) Unix systems
have
>the
>capability to produce "statically" or "dynamically" linked executables.
From
>what I understand
>of M$'s terminology, DLL's (*dynamic* link libraries), are required for
>dynamically linked
>EXEs. So surely the answer is to get gcc/ld to produce statically linked
>EXE's?  I would
>assume that it **must** be able to do this, since it seems to be able to do
>everything
>else 'part from make the tea/coffee.
>
>Go on someone, tell me I'm haverin' (Scots for "talking garbage") - or not?

That sounds like the perfect way of making non-DLL requiring EXEs w/
Cygnus..  But, would statically linked EXEs be worth the extra size?  That's
my main concern, especially since if a person is running more than 1 Cygnus
compiled application at a time, you are saving on memory space and harddrive
space to go with dynamic linking.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".